Packages - Privacy Issue #994

updated privacy blacklist: cascade effect on 'gnome-settings-daemon’
2016-04-25 10:55 AM - ralessi

Status: fixed % Done: 100%
Priority: discussion

Assignee:

Category:

Description

This is not really an issue, as | am perfectly fine with the need of removing any package which has a freedom related issue.
Today, removing 'geoclue’ and all the packages that depend on it was the easy part. As regards 'geoclue2’, however, removing it
involves the removal of 'gnome-settings-daemon', which in turn involves the removal of many other packages, let alone gnome itself

(I guess).

Do you plan to include 'gnome-settings-daemon’ in 'non-prism’, or do we have to remove 'geoclue2' and all the packages that depend
on it right away?

Many thanks for your outstanding work by the way! -r

Related issues:
Related to Packages - Bug #919: Geoclue/Geoclue2 and their dependancies fixed

History

#1 - 2016-04-25 11:08 AM - ralessi

ralessi wrote:

This is not really an issue, as | am perfectly fine with the need of removing any package which has a freedom related issue.

| meant 'a privacy related issue'. This is about 'your-privacy' of course, not about 'your-freedom'.

#2 - 2016-04-25 01:13 PM - Anonymous

- Status changed from open to in progress

#3 - 2016-04-25 01:42 PM - Anonymous
- % Done changed from 0 to 100

geoclue and geoclue2 removal were disabled in your-privacy O until fix all dependencies against it

#4 - 2016-04-25 01:42 PM - Anonymous
- % Done changed from 100 to 70

#5 - 2016-04-25 01:52 PM - Anonymous

I'll close this issue when all packages against geoclue and geoclue2 have been fixed to re-enable them again.

#6 - 2016-04-25 02:55 PM - ralessi

Fine. Thank you very much. -r

#7 - 2016-04-28 12:10 AM - Anonymous
- % Done changed from 70 to 90

#8 - 2016-04-28 01:14 AM - Anonymous
- Related to Bug #919: Geoclue/Geoclue2 and their dependancies added

#9 - 2016-04-28 01:41 AM - Anonymous
- % Done changed from 90 to 100
https://projects.parabola.nu/blacklist.git/commit/?id=5bb2a40dc0cd03f945e8a7799c9e963c69048e55

- Status changed from in progress to fixed
